<?php

namespace App\Http\Controllers\Controller;

use Session;
use App\User;
use Validator;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;

class SigninController extends Controller
{

    public function index(){

        if (!Session::has('user')) {
            Session::flash('error', 'You have to log in');
            return redirect('login');
        }else {
            return view('pages.calculator');
        }
    }




    public function login(Request $request){

        $validate= Validator::make($request->all(),[
            'email'=>'required| email',
            'password'=>'required'
        ]);

        if ($validate->fails()) {
            return redirect()->back()->withErrors($validate)
                        ->withInput();  
        }       


        if (Auth::attempt(['email' => request('email'), 'password' =>request('password')])) {
            $user = Auth::user();
            Session::put('user',$user);
            //dd($user);
            Session::flash('success', 'successful connection');
            return redirect()->intended('calculator');
        }else{
            Session::flash('error', 'Login or password incorrecte');
            return redirect()->back();
        }


    }




    //Register function
    public function register(Request $request){

       $validate= Validator::make($request->all(),[
            'email'=>'required| email| unique:users,email',
            'password'=>'required | min:8 |alpha_num '
        ]);

        if ($validate->fails()) {
            return redirect()->back()->withErrors($validate)
                        ->withInput();  
        }

        $user=User::create([
            'email'=>request('email'),
            'password'=>bcrypt(request('password'))
        ]);

        return view('pages.login');

    }



    public function logout(){
        Auth::logout();
        Session()->forget('user');
        return redirect('login');
    }
}
